<?php
/**
 * Language switcher template
 */
/** @var \IMI\StoreSwitch\ViewModel\StoreSwitchModel $viewModel */
/** @var Magento\Store\Block\Switcher $block */
$viewModel = $block->getData('view_model');
$context = $block->getData('context');
$media_url = $this->getUrl('pub/media');
$currentStore = $viewModel->getCurrentStore();
$media_url = $currentStore->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);
?>
<?php if ($viewModel->isEnabled() && $viewModel->isEnabledOnOtherStores()): ?>
    <?php $websites = $viewModel->getWebsites(); ?>
    <!-- Languages Switch -->
    <div class="dropdown dropdown-switcher language switcher-language" id="switcher-store">
        <div class="actions dropdown options switcher-options">
            <div class="metaNav-item language-switch">
                <?php $id = $context . ($block->getIdModifier() ? '-' . $block->getIdModifier() : '') ?>
                <div class="switcher language switcher-language" data-ui-id="language-switcher"
                     id="switcher-language<?php /* @escapeNotVerified */
                     echo $id ?>">
                    <div class="actions dropdown options switcher-options">

                        <div class="action toggle switcher-trigger" id="switcher-language-trigger<?php /* @escapeNotVerified */
                        echo $id ?>" data-storelanguage="<?= $currentStore->getCode()?>">
                            <strong class="view-current-store-switch view-<?php echo $block->escapeHtml($block->getCurrentStoreCode()) ?>">
                                <span>
                                    <?php
                                   // if($currentStore->getCode()=='in'){
                                        if($currentStore->getCode()=='in'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/in.png" />
                                        <?php }elseif($currentStore->getCode()=='default' ){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/aus.png" />
                                        <?php }elseif($currentStore->getCode()=='us'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/US.jpg" />
                                        <?php }elseif($currentStore->getCode()=='fr'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/france.jpg" />
                                        <?php }elseif($currentStore->getCode()=='de'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/germany-new.jpg" />
                                        <?php }elseif($currentStore->getCode()=='es'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/es.png" />
                                        <?php }elseif($currentStore->getCode()=='se'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/swed.png" />
                                        <?php }elseif($currentStore->getCode()=='uk'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/UK.png" />
                                        <?php }elseif($currentStore->getCode()=='business'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/Earth-icon2.png" />
                                        <?php }else{ ?>
                                            <img src="<?php echo $media_url; ?>alogic/aus.png" />
                                        <?php }
                                    ?>
                                        <span class="view-current-store-switch-title">
                                          <?php //echo $block->escapeHtml($viewModel->getCurrentWebsite()->getName());
                                          echo $currentStore->getName();
                                          ?>
                                        </span>
                                </span>
                            </strong>
                        </div>
                        <ul class="dropdown-menu dropdown switcher-dropdown"
                            data-mage-init='{"dropdownDialog":{
                            "appendTo":"#switcher-language<?php /* @escapeNotVerified */
                            echo $id ?> > .options",
                            "triggerTarget":"#switcher-language-trigger<?php /* @escapeNotVerified */
                            echo $id ?>",
                            "closeOnMouseLeave": false,
                            "triggerClass":"active",
                            "parentClass":"active",
                            "buttons":null}}'>
                            <?php foreach ($websites as $website): //if($website->getCode() =='alogicbusiness') continue;
                            ?>

                                <?php /** @var \Magento\Store\Model\Store $_store */?>
                                <?php foreach ($website->getStoreCollection() as $_store):  if($_store->getCode() == 'nz' || $_store->getCode() == 'ca' || $_store->getCode() == 'se') continue;?>
                                    <?php if ($_store->getId() != $block->getCurrentStoreId() && $_store->isActive() && $viewModel->isEnabled($_store)): ?>
                                        <li class="view-<?php echo $block->escapeHtml($_store->getCode()); ?> switcher-option" data-storelanguage="<?php echo $block->escapeHtml($_store->getCode())?>">
                                            <a href="#" data-post='<?php /* @escapeNotVerified */
                                            echo $block->getTargetStorePostData($_store); ?>'>


                                    <?php
                                        if($_store->getCode() == 'in'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/in.png" />
                                        <?php }elseif($_store->getCode() == 'default' ){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/aus.png" />
                                        <?php }elseif($_store->getCode() =='us'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/US.jpg" />
                                        <?php }elseif($_store->getCode() =='de'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/germany-new.jpg" />
                                        <?php }elseif($_store->getCode() =='fr'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/france.jpg" />
                                        <?php }elseif($_store->getCode() =='es'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/es.png" />
                                        <?php }elseif($_store->getCode() =='se'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/swed.png" />
                                        <?php }elseif($_store->getCode() =='uk'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/UK.png" />
                                        <?php }elseif($_store->getCode() =='business'){ ?>
                                            <img src="<?php echo $media_url; ?>alogic/Earth-icon2.png" />
                                        <?php }else{ ?>
                                            <img src="<?php echo $media_url; ?>alogic/aus.png" />
                                        <?php }
                                    ?>



                                                <?php echo $_store->getName(); ?>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; ?>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
